C Calculation of mechanical driving force (Patel & Cohen)
C J R Patel and M Cohen
C Acta Metallurgica 1 (1953) 531-538
C
C To estimate the contribution of an externally applied stress
C to the driving force for martensitic transformation
C
      SUBROUTINE MAP_STEEL_MECH(SHE,DIL,THETA,SIGMA,GCHEM,GMECH,GRATIO)
      DOUBLE PRECISION DIL,GCHEM,GMECH,GRATIO,SHE,SIGMA,THETA
      DOUBLE PRECISION THETAR
C
      THETAR=THETA*3.14159*2/360.0
      IF (THETA .LE. 270 .AND. THETA .GT. 90) GOTO 100
      GOTO 110
  100 GMECH = (SIGMA/2.0)*(-SHE*DSIN(2*THETAR) + 
     &                                 DIL*(1.0+DCOS(2.0*THETAR)))
      GOTO 120
  110 GMECH = (SIGMA/2.0)*(SHE*DSIN(2*THETAR) + 
     &                                 DIL*(1.0+DCOS(2.0*THETAR)))
  120 CONTINUE
      GRATIO = GMECH/GCHEM
      RETURN
      END
